com.r3corda.node.services.messaging / ArtemisMessagingComponent / ArtemisAddress

# ArtemisAddress

`protected interface ArtemisAddress`

### Properties

hostAndPort | `abstract val hostAndPort: <ERROR CLASS>`
queueName | `abstract val queueName: <ERROR CLASS>`

### Inheritors

NetworkMapAddress | `data class NetworkMapAddress : SingleMessageRecipient, ArtemisAddress`
NodeAddress | `data class NodeAddress : SingleMessageRecipient, ArtemisAddress`